﻿--Author      : LintyDruid
--Localisation Control


function hwm.lang.Set(language)
	 hwm.lang:Init(language);
end

function hwm.lang:Init(language)
	if (language== nil) then
		language = GetLocale();
	end
	
	HWM_Locale_English(); --- Init English as default
	
	--Apply local overlay
	if (language=="deDE") then
		HWM_Locale_German();
		hwm.utils:Chat("Language set to German ("..language..")");
	elseif (language=="esES") then
		HWM_Locale_Spanish();
		hwm.utils:Chat("Language set to Spanish ("..language..")");
	elseif (language=="frFR") then
		HWM_Locale_French();
		hwm.utils:Chat("Language set to French ("..language..")");
	elseif (language=="koKR") then
		HWM_Locale_Korea();
		hwm.utils:Chat("Language set to Korean ("..language..")");
	elseif (language=="zhCN") then
		HWM_Locale_China();
		hwm.utils:Chat("Language set to Chinese ("..language..")");
	elseif (language=="zhTW") then
		HWM_Locale_Taiwan();
		hwm.utils:Chat("Language set to Taiwanese("..language..")");
	else
		hwm.utils:Chat("Language set to English ("..language..")");
	end
	
	--Refresh screens, etc
	hwm.lang:Refresh();
	
	
end

function hwm.lang.Refresh()

	---Set Options Window Text
	HWM_OptionsFrame_AboutHeaderLabel:SetText(hwm.lang.title);
	HWM_OptionsFrame_hidedetaillabel:SetText(hwm.lang.OptHideDetails);

	
end
